Subject: Re: [PATCH 04/26] diff.c: introduce emit_diff_symbol

From: Brandon Williams <[email-masked]>
Date: Wed, 21 Jun 2017 14:55:00 -0700

On 06/21, Junio C Hamano wrote:
> Brandon Williams <[email-masked]> writes:
> 
> > I don't think this is strictly enforced.  If you look at grep.h:197 the
> > enum 'grep_source_type' has a trailing comma.
> 
> OK, so we now know that at least since e1327023 ("grep: refactor the
> concept of "grep source" into an object", 2012-02-02) we haven't
> heard from anybody whose compiler fails to grok this.
> 
> Perhaps we should start pushing for C99 features?

Yeah for a second I thought I introduced the trailing comma when i added
recursion to grep...but you're right, looking at blame shows that the
trailing comma has been there for much longer.

And I'm all for moving to C99 :)

-- 
Brandon Williams